Subject: Re: Redirect "git" subcommand to itself?

From: Junio C Hamano <[email-masked]>
Date: Fri, 29 May 2015 08:38:34 -0700

Christian Neukirchen <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>>  * You can help yourself with something like this, I suppose:
>>
>>    [alias]
>> 	git = "!sh -c 'exec git \"$@\"' -"
>>
>>    but I personally feel that it is too ugly to live as part of our
>>    official suggestion, so please do not send a patch to add it as
>>    a built-in alias ;-).
>
> So I thought I was clever, but this didn't work:
>
> % ln -s /usr/bin/git ~/bin/git-git  
> % git git
> fatal: cannot handle git as a builtin

Why did you have to do that when I already gave an alias that works?

Or didn't the alias work?